## gate.creole.gazetteer
Class TestGazetteer

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--gate.creole.gazetteer.TestGazetteer

All Implemented Interfaces:
  junit.framework.Test

public class TestGazetteer
extends junit.framework.TestCase

Constructor Summary
`TestGazetteer(String name)`

Method Summary
`static void` `main(String[] args)`
`void` `setUp()` Fixture set up
`static junit.framework.Test` `suite()` Test suite routine for the test runner
`void` `tearDown()`
`void` `testDefaultGazetteer()` Test the default tokeniser

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, name, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestGazetteer

    public TestGazetteer(String name)

Method Detail

### setUp

    public void setUp()
               throws Exception

  Fixture set up

### tearDown

    public void tearDown()
                  throws Exception

### testDefaultGazetteer

    public void testDefaultGazetteer()
                              throws Exception

  Test the default tokeniser

### suite

    public static junit.framework.Test suite()

  Test suite routine for the test runner

### main

    public static void main(String[] args)